aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorAndrés G. Aragoneses <knocte@gmail.com>2016-02-13 04:44:42 +0800
committerAndrés G. Aragoneses <knocte@gmail.com>2016-02-13 04:44:42 +0800
commit889426d37e331c9e6c914dae824663a7167effdf (patch)
treeaa6cf987d4c72e018d31d6ce1971afee9408c4d0 /autogen.sh
parent80d1f2e48364f05b2cdf44239b3a1faa0277e58e (diff)
downloadbitcoin-889426d37e331c9e6c914dae824663a7167effdf.tar.xz
autogen.sh: warn about needing autoconf if autoreconf is not found
Changes the error message from: ./autogen.sh: 9: ./autogen.sh: autoreconf: not found To: configuration failed, please install autoconf first
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 3e26a18305..46e36ff5b2 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,4 +6,6 @@ if [ -z ${LIBTOOLIZE} ] && GLIBTOOLIZE="`which glibtoolize 2>/dev/null`"; then
LIBTOOLIZE="${GLIBTOOLIZE}"
export LIBTOOLIZE
fi
+which autoreconf >/dev/null || \
+ (echo "configuration failed, please install autoconf first" && exit 1)
autoreconf --install --force --warnings=all